%define name tpctl
%define version 0.8.2
%define release 5mdk 

Name: %{name} 
Version: %{version} 
Release: %{release} 
Summary: IBM ThinkPad configuration tools for Linux
Source: tpctl-0.8.2.src.tar.bz2 
URL: http://panoptic.csustan.edu/tpctl/tpctlhome.htm
Group: Applications/System
BuildRoot: /var/tmp/%{name}-buildroot 
Copyright: GPL
Patch0:  tpctl-0.8.2-Makefile.patch.bz2
ExclusiveArch: i386 i486 i586 i686

%description 
The centerpiece of the package is tpctl, a program that does some of what PS2.EXE does under DOS and the ThinkPad Configuration program does under Windows. Tpctl gives the user access to all the functions of the SMAPI BIOS that are documented in the various ThinkPad Technical Reference manuals.  From 0.5x it can also control the resources used by the parallel and serial ports.  The USAGE output and the README file should give a rough idea of what the program can do.

%prep
rm -rf $RPM_BUILD_ROOT 

%setup 
%patch0 -b .makefile

%build 
uname -a|grep SMP && CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" make -j 2 || CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" make 

%install 
if [ ! -d $RPM_BUILD_ROOT/lib/modules/`uname -r`/thinkpad ]; then mkdir -p -m 755 $RPM_BUILD_ROOT/lib/modules/`uname -r`/thinkpad ; fi
if [ ! -d $RPM_BUILD_ROOT/usr/local/lib ]; then mkdir -p -m 755 $RPM_BUILD_ROOT/usr/local/lib ; fi
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/dev

make DIR_MOD=$RPM_BUILD_ROOT/lib/modules DIR_LIB=$RPM_BUILD_ROOT/usr/local/lib DIR_BIN=$RPM_BUILD_ROOT/usr/local/bin DIR_SBIN=$RPM_BUILD_ROOT/usr/local/sbin DIR_MAN=$RPM_BUILD_ROOT/usr/man install 
strip $RPM_BUILD_ROOT/usr/local/bin/* || : 

cd $RPM_BUILD_ROOT/usr/local/lib
ln -sf libsmapidev-0.8.2.so libsmapidev.so

depmod -a
mknod --mode=664 $RPM_BUILD_ROOT/dev/thinkpad c 10 170

cd $RPM_BUILD_ROOT/usr/man/man1
bzip2 tpctl.1
rm ntpctl.1
ln -s tpctl.1.bz2 ntpctl.1.bz2

%clean 
rm -rf $RPM_BUILD_ROOT 

%pre
modprobe -r smapi
modprobe -r superio
modprobe -r rtcmosram
modprobe -r thinkpad
rm -rf /lib/modules/`uname -r`/thinkpad
rm -f /usr/local/lib/libsmapidev.so
rm -f /usr/local/lib/libsmapidev-*.so
rm -f /usr/local/bin/tpctl
rm -f /usr/local/bin/ntpctl
rm -f /dev/thinkpad
rm -f /usr/man/man1/tpctl.1*
rm -f /usr/man/man1/ntpctl.1*
rm -rf /lib/modules/thinkpad
rm -f /usr/bin/tpctl
rm -f /usr/local/bin/smapify_modulesconf
rm -f /usr/local/bin/tpctlify_modulesconf
rm -f /usr/local/bin/tpctlify
rm -f /usr/local/sbin/tpctlify
rm -f /dev/tp600
rm -f /dev/smapi
rm -f /dev/thinkpad

%post
/usr/doc/tpctl-0.8.2/tpctlify /lib/modules/`uname -r` /usr/local/lib

%postun
echo "1) Please remove the lines marked \"# Added by tpctlify\" from /etc/conf.modules or /etc/modules.conf"
echo "2) If you have no more files in /usr/local/lib then you can remove that line from /etc/ld.so.conf and"
echo "		run \"ldconfig -v\""

%files 
%defattr(-,root,root,0755) 
%doc AUTHORS ChangeLog README TODO TROUBLESHOOTING VGA_MODES utils/tpctlify
%attr(444,root,root) /lib/modules/
/usr/local/lib/libsmapidev-0.8.2.so
/usr/local/lib/libsmapidev.so
/usr/local/bin/tpctl
/usr/local/bin/ntpctl
%attr(664,root,root) /dev/thinkpad
%attr(644,root,root) /usr/man/man1/tpctl.1.bz2
%attr(644,root,root) /usr/man/man1/ntpctl.1.bz2

%changelog 
* Sat Jan 21 2000 Sean P. Kane <spkane@home.com>
- Created first tpctl rpm
